Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x9
Class X962Parameters

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.x9.X962Parameters

All Implemented Interfaces:
  ASN1Choice, DEREncodable

public class X962Parameters
extends ASN1Encodable
implements ASN1Choice

Constructor Summary
`X962Parameters(DERObject obj)`
`X962Parameters(DERObjectIdentifier namedCurve)`
`X962Parameters(X9ECParameters ecParameters)`

Method Summary
`static X962Parameters` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static X962Parameters` | `getInstance(java.lang.Object obj)`
`DERObject` | `getParameters()`
`boolean` | `isNamedCurve()`
`DERObject` | `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### X962Parameters

    public X962Parameters(X9ECParameters ecParameters)

### X962Parameters

    public X962Parameters(DERObjectIdentifier namedCurve)

### X962Parameters

    public X962Parameters(DERObject obj)

Method Detail

### getInstance

    public static X962Parameters getInstance(java.lang.Object obj)

### getInstance

    public static X962Parameters getInstance(ASN1TaggedObject obj,
                                             boolean explicit)

### isNamedCurve

    public boolean isNamedCurve()

### getParameters

    public DERObject getParameters()

### toASN1Object

    public DERObject toASN1Object()

  Produce an object suitable for an ASN1OutputStream.

       Parameters ::= CHOICE {
          ecParameters ECParameters,
          namedCurve   CURVES.&id({CurveNames}),
          implicitlyCA NULL
       }

  Overrides:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD